API ReferenceStage
Retrieve stages for project
GET
Retrieve stages for project
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringProject identifier
page?integerThe collection page number
Default
1itemsPerPage?integerThe number of items per page
Range
0 <= value <= 100Default
30pagination?booleanEnable or disable pagination
status?stringstatus[]?array<string>name?stringproject?stringproject[]?array<string>order[name]?stringDefault
"asc"Value in
"asc""desc"order[weight]?stringDefault
"asc"Value in
"asc""desc"order[dateStart]?stringDefault
"asc"Value in
"asc""desc"order[dateEnd]?stringDefault
"asc"Value in
"asc""desc"order[createdAt]?stringDefault
"asc"Value in
"asc""desc"order[updatedAt]?stringDefault
"asc"Value in
"asc""desc"Stage collection
- response
[index: integer]?curl -X GET 'https://app.icproject.com/api/instance/demo/project/projects/string/stages'Example Response200
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "status": "in-preparation", "description": "string", "dateStart": "2019-08-24T14:15:22Z", "dateEnd": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "progress": 0, "weight": 0, "timePlanned": 0, "timeReported": 0, "isBlameableRemovalEnabled": false, "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2", "projectName": "string", "stageType": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "decorator": "#78909c" }, "boards": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "canManage": false } ], "canManage": false }]